Imagick::encipherImage
Imagick::equalizeImage
Imagick
PHP Manual

# Imagick::enhanceImage

(PECL imagick 2.0.0)

Imagick::enhanceImage — Improves the quality of a noisy image

### Description

bool Imagick::enhanceImage ( void )

Applies a digital filter that improves the quality of a noisy image.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

Imagick::encipherImage
Imagick::equalizeImage
Imagick
PHP Manual